Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTextCodec_ConverterState

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QTextCodec_ConverterState

All Implemented Interfaces:
  QtJambiInterface

    public class QTextCodec_ConverterState

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QTextCodec_ConverterState()` Equivalent to `QTextCodec_ConverterState`(DefaultConversion).
`QTextCodec_ConverterState(QTextCodec.ConversionFlags f)` Constructs a ConverterState object initialized with the given `f`.

Method Summary
`QTextCodec.ConversionFlags` | `flags()` Returns the ConversionFlags of this ConverterState object.
`static QTextCodec_ConverterState` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QTextCodec_ConverterState instance pointed to by nativePointer
`void` | `setFlags(QTextCodec.ConversionFlag... flags)` Sets the ConversionFlags of this ConverterState object to `flags`.
`void` | `setFlags(QTextCodec.ConversionFlags flags)` Sets the ConversionFlags of this ConverterState object to `flags`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextCodec_ConverterState

    public QTextCodec_ConverterState()

  Equivalent to `QTextCodec_ConverterState`(DefaultConversion).

### QTextCodec_ConverterState

    public QTextCodec_ConverterState(QTextCodec.ConversionFlags f)

  Constructs a ConverterState object initialized with the given `f`.

Method Detail

### setFlags

    public final void setFlags(QTextCodec.ConversionFlag... flags)

  Sets the ConversionFlags of this ConverterState object to `flags`.

### setFlags

    public final void setFlags(QTextCodec.ConversionFlags flags)

  Sets the ConversionFlags of this ConverterState object to `flags`.

### flags

    public final QTextCodec.ConversionFlags flags()

  Returns the ConversionFlags of this ConverterState object.

### fromNativePointer

    public static QTextCodec_ConverterState fromNativePointer(QNativePointer nativePointer)

  This function returns the QTextCodec_ConverterState instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD